# getPersonInformation

## getPersonInformation

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getPersonInformation`

**Needed headers:** Content-type: application/json\
\
This endpoint allows you to get general person information such as:\
`* Personal code`\
`* First name and last name`\
`* Previous first name and last name (if exist)`\
`* Death date (if exists)`\
`* Personal address`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getPersonInformation' --data '{`\
&#x20;   `"token": "0c4386e0983540c97u8930de8570820f967827",`\
&#x20;   `"code": "12345678900",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name     | Type   | Description                                                          |
| -------- | ------ | -------------------------------------------------------------------- |
| language | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token    | string | Your 'access token' (API key).                                       |
| code     | string | Personal code.                                                       |

{% tabs %}
{% tab title="200 Response successfully retrieved" %}

```javascript
{
    "personal_code": "12345678900",
    "last_name": "Karllson",
    "first_name": "Karl",
    "ex_last_name": "Blumberg",
    "ex_first_name": "Karl",
    "death_date": null,
    "address": "Harju maakond, Tallinn, Lasnamäe linnaosa, Oksa 1-15"
}
```

{% endtab %}

{% tab title="400 Invalid personal code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Code is mandatory"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a person matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such person"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bisnode.ee/personal-information/getpersoninformation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
